Subject: [AVTCORE] I-D Action: draft-ietf-avtcore-cryptex-05.txt

From: [email-masked]
Date: Mon, 07 Mar 2022 13:27:57 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Audio/Video Transport Core Maintenance WG of the IETF.

        Title           : Completely Encrypting RTP Header Extensions and Contributing Sources
        Authors         : Justin Uberti
                          Cullen Jennings
                          Sergio Garcia Murillo
	Filename        : draft-ietf-avtcore-cryptex-05.txt
	Pages           : 21
	Date            : 2022-03-07

Abstract:
   While the Secure Real-time Transport Protocol (SRTP) provides
   confidentiality for the contents of a media packet, a significant
   amount of metadata is left unprotected, including RTP header
   extensions and contributing sources (CSRCs).  However, this data can
   be moderately sensitive in many applications.  While there have been
   previous attempts to protect this data, they have had limited
   deployment, due to complexity as well as technical limitations.

   This document defines Cryptex as a new mechanism that completely
   encrypts header extensions and CSRCs and uses simpler signaling with
   the goal of facilitating deployment.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-avtcore-cryptex/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-avtcore-cryptex-05.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-avtcore-cryptex-05

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 7 Mar 2022 13:40:41 -0800

In Section 9.1, the contact fields are both TBD, though RFC 8866 requires
them.  They should probably be declared before this goes to the IESG.

(It's odd, by the way, that contact fields are required for registrations,
but RFC 8866 didn't specify them for any of the initial entries.)

-MSK

On Mon, Mar 7, 2022 at 1:29 PM <[email-masked]> wrote:

> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: Cullen Jennings <[email-masked]>
Date: Fri, 11 Mar 2022 14:14:31 -0800

I've lost track of how we should do contacts for WG documents.

Should it be:
  "[email-masked]" or the IESG if that list is closed

Happy to set the contacts to whatever the right thing - just not sure 
what to put.

On 3/7/2022 1:40 PM, Murray S. Kucherawy wrote:
> In Section 9.1, the contact fields are both TBD, though RFC 8866 
> requires them.  They should probably be declared before this goes to the 
> IESG.
> 
> (It's odd, by the way, that contact fields are required for 
> registrations, but RFC 8866 didn't specify them for any of the initial 
> entries.)
> 
> -MSK
> 
> On Mon, Mar 7, 2022 at 1:29 PM <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> 
>     <https://datatracker.ietf.org/doc/draft-ietf-avtcore-cryptex/>
> 
>     <https://www.ietf.org/archive/id/draft-ietf-avtcore-cryptex-05.html>
> 
>     <https://www.ietf.org/rfcdiff?url2=draft-ietf-avtcore-cryptex-05>
> 
> 
>     [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/i-d-announce>
>     <http://www.ietf.org/shadow.html>
>     <ftp://ftp.ietf.org/ietf/1shadow-sites.txt>
> 
> 
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 14 Mar 2022 21:31:28 -0700

> Happy to set the contacts to whatever the right thing - just not sure

I think that's correct.  If that's wrong, we can fix it during IESG
Evaluation.

-MSK

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 14 Mar 2022 21:34:05 -0700

> Internet-Drafts are also available by rsync at rsync.ietf.org:

Thanks for the edits.  The IANA Considerations section looks much better
except that two of the registration fields appear to have run together.  We
can fix that in IESG Evaluation.

I'll send it for Last Call now.

-MSK

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 14 Mar 2022 21:35:25 -0700

Oh also, did anyone invite the SDP Directorate to do a review, or should I
be asking for that as part of the Last Call?

-MSK

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 14 Mar 2022 23:21:16 -0700

The SDP Directorate review should be requested as part of Last Call.

---

From: Cullen Jennings <[email-masked]>
Date: Tue, 15 Mar 2022 07:16:05 -0600

> On Mar 14, 2022, at 10:31 PM, Murray S. Kucherawy <[email-masked]> wrote:
> 
> On Fri, Mar 11, 2022 at 2:14 PM Cullen Jennings <[email-masked] <mailto:[email-masked]>> wrote:
>   "[email-masked] <mailto:[email-masked]>" or the IESG if that list is closed
> 
> I think that's correct.  If that's wrong, we can fix it during IESG Evaluation.

PR at https://github.com/juberti/cryptex/pull/44/files <https://github.com/juberti/cryptex/pull/44/files>